DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_10_31_UpdateUserActionsCustomerId';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15218) THEN
			RETURN;
		END IF;

		BEGIN

		      UPDATE public."UserActions" ua
SET "CustomerId" = u."CustomerId" 
FROM public."Users" u 
WHERE u."Id" = ua."UserId" AND ua."CustomerId" IS NULL;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$




